/* Offers tables */
--   offers table
CREATE TABLE offers (
    'id' INTEGER PRIMARY KEY AUTOINCREMENT,
    'offerid' INTEGER UNIQUE NOT NULL,
    'imageUrl' TEXT,
    'value' INTEGER NOT NULL DEFAULT 0,
    'type' INTEGER NOT NULL,
    'brand' TEXT,
    'burst' TEXT,
    'summary' TEXT,
    'l1text' TEXT,
    'l2text' TEXT,
    'l3text' TEXT,
    'categoryid' INTEGER NOT NULL,
    'categorydesc' TEXT,
    'expirationdate' REAL,
    'activedate' REAL,
    'slot' INTEGER NOT NULL,
    'pSpt' INTEGER NOT NULL DEFAULT 0,
    'canHasADI' INTEGER NOT NULL DEFAULT 0,
    'cpn_state' INTEGER NOT NULL DEFAULT 0,
    'sc_state' INTEGER NOT NULL DEFAULT 0,
    'stores' TEXT,
    'stc_disclaimer' TEXT,
    'upc_purchase_qty' INTEGER DEFAULT NULL,
    'upc_qty_desc' TEXT,
    'redemption_limit_text' TEXT,
    'searchid' INTEGER NOT NULL DEFAULT 0
);

/* Create table for enabling offers search */
CREATE VIRTUAL TABLE searchoffers USING fts3 (
    brand TEXT, 
    description TEXT
);

/* featured items */
--   Featured items list
CREATE TABLE featuredprograms (
    'id' INTEGER PRIMARY KEY NOT NULL,
    'categoryid' INTEGER UNIQUE,
    'startdate' INTEGER NOT NULL,
    'enddate' INTEGER NOT NULL,
    'img' TEXT,
    'offerids' TEXT
);
CREATE INDEX featuredprograms_idx1 ON featuredprograms (
    'startdate',
    'enddate'
);