/* Upgrade script from schema 11.04 to 11.05 */

/* Fixes orphaned items created by bug ANDROIDDEV-686. */
UPDATE listitems SET categoryid = 1, modtime=CAST((STRFTIME('%s', 'now', 'utc') || '999') AS INT) WHERE categoryid NOT IN (
    SELECT ad.categoryid FROM aisledetail ad WHERE ad.storeid = listitems.storeid AND ad.sequence >= 0
);

/* Fixes coupon list item display title & subtitles to be like iOS
 * See bug ANDROIDDEV-747 for details. */
UPDATE listitems SET
displaytitle=(
	-- coupon [summary] + ' ' + [brand]
	SELECT (CASE WHEN LENGTH(lo2.summary) > 0 THEN lo2.summary ELSE '' END)
    	|| (CASE WHEN (LENGTH(lo2.summary) + LENGTH(lo2.brand)) > LENGTH(lo2.summary) THEN ' ' ELSE '' END)
    	|| (CASE WHEN LENGTH(lo2.brand) > 0 THEN lo2.brand ELSE '' END)
	FROM listoffers lo2
	INNER JOIN listitems li2 ON lo2.id = li2.id
	WHERE lo2.id = listitems.id
),
displaysubtitle=(
	-- coupon L2Text, or if not present, use L1Text
	SELECT CASE WHEN LENGTH(lo3.l2text) > 0 THEN lo3.l2text ELSE lo3.l1text END
	FROM listoffers lo3
	INNER JOIN listitems li3 ON lo3.id = li3.id
	WHERE lo3.id = listitems.id
),
modtime=CAST((STRFTIME('%s', 'now', 'utc') || '999') AS INT)
WHERE rowid IN (
	SELECT li4.rowid
	FROM listitems li4
	INNER JOIN listoffers lo4 ON li4.id = lo4.id
	WHERE li4.deleted = 0
);
